## lxc 4.0.0

=== debian/changelog ===
lxc (1:4.0.0-0ubuntu1) focal; urgency=medium

  * Bump epoch to match Debian. (LP: #1837537)
  * New upstream release (4.0.0):
    - Fixes (LP: #1867535, LP: #1861880, LP: #1858799, LP: #1831258)
    - cgroups: Full cgroup2 support
    - cgroups: Freezer support in CGroup2
    - cgroups: eBPF device controller support in CGroup2
    - config: Add lxc.autodev.tmpfs.size configuration key
    - config: Add lxc.selinux.context.keyring key
    - config: Add lxc.keyring.session
    - file utils: Add fopen_cached() and fdopen_cached
    - api: Add new init_pidfd() member
    - memory utils: Add new cleanup api
    - lxc-usernsexec: Make it easy to map own uid
    - seccomp: Add s390 support
    - syscalls: Improve manual syscall implementations
    - network: Improved network device creation and removal
    - network: Allow moving wireless devices
  * Cherry-pick upstream bugfixes:
    - 0002-lxc_init-move-main-down.patch
    - 0003-lxc_init-add-missing-O_CLOEXEC.patch
    - 0004-lxc.service-Starts-after-remote-fs.target-to-allow-c.patch
    - 0005-tree-wide-harden-mount-option-parsing.patch
    - 0006-dir-use-cleanup-macro-in-dir_mount.patch
    - 0007-dir-improve-dir-backend.patch
    - 0008-cgroups-fix-attaching-to-the-unified-cgroup.patch
    - 0009-conf-rework-and-fix-leak-in-userns_exec_1.patch
    - 0010-commands-log-actual-errno-when-lxc_cmd_get_cgroup2_f.patch
    - 0011-cgroups-move-pointer-dereference-after-check.patch
    - 0012-cgroups-rework-__cg_unified_attach.patch
    - 0013-attach-use-close_prot_errno_disarm.patch
    - 0014-cgroups-remove-unused-variable.patch
    - 0015-cgroups-fix-unified-cgroup-attach.patch
    - 0016-fixup-i-o-handler-return-values.patch
    - 0017-Revert-cgroups-fix-unified-cgroup-attach.patch
    - 0018-conf-introduce-and-use-userns_exec_minimal.patch
    - 0019-conf-simplify-userns_exec_minimal.patch
    - 0020-cgroups-use-hidden-directory-for-attaching-cgroup.patch
    - 0021-cgroups-please-compilers.patch
    - 0022-monitor-process-exited-by-signal-SIGKILL-clean-cgrou.patch
    - 0023-cgroups-move-check-for-valid-monitor-process-up.patch
    - 0024-cgroups-better-helper-naming.patch
    - 0025-tree-wide-s-recursive_destroy-lxc_rm_rf-g.patch
    - 0026-verify-cgroup-controller-name.patch
    - 0027-cgroups-handle-older-kernels-e.g.-v4.9.patch
    - 0028-start-log-error-when-failing-to-create-cgroup.patch
    - 0029-cgroups-send-two-attach-fds.patch
    - 0030-cgroups-send-two-fds-to-attach-to-unified-cgroup.patch
    - 0031-start-remove-unnecessary-check-for-valid-cgroup_ops.patch
    - 0032-init-add-ExecReload-to-lxc.service-to-only-reload-pr.patch
    - 0033-apparmor-generate-ro-bind-remount-rule-list.patch
    - 0034-autotools-don-t-install-run-coccinelle.sh.patch
    - 0035-systemd-Add-Documentation-key.patch
  * Bump to new standards (4.5.0)
  * Move manpages to the correct packages (libpam-cgfs, libpam-common)
  * Refresh lintian overrides (lxc-utils)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Apr 2020 17:35:58 -0400

lxc (3.0.4-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:35 +0100

lxc (3.0.4-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream bugfixes (LP: #1848587):
    - tests: use /dev/loop-control instead of /dev/network_latency

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 26 Nov 2019 12:22:37 -0500
