## lxc 4.0.1

=== debian/changelog ===
lxc (1:4.0.1-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release (4.0.1):
    - Tweak systemd ordering (start after remote-fs.target)
    - Fix various issues around attach and cgroups
    - Fix shutdown timeout not working on pidfd systems
    - Fix cgroup issue on 4.9 kernel
    - Fix write issues in /dev/stdout
  * Fix upgrade ordering (LP: #1870483)
  * Update lintian overrides:
    - Drop epoch bump override (no longer detecting it)
    - Add /usr/libexec override (LXC only uses /usr/lib)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Apr 2020 16:24:28 -0400

lxc (1:4.0.0-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream bugfixes:
    - 0036-fix-non-root-user-cannot-write-dev-stdout.patch
    - 0037-cgroups-fix-uninitialized-transient_len-warning.patch
    - 0038-utils-rework-fix_stdio_permissions.patch
    - 0039-utils-use-setres-u-g-id-in-lxc_switch_uid_gid.patch
    - 0040-cgroups-fix-build-warning-on-GCC-7.patch
    - 0041-lxccontainer-poll-takes-millisecond-not-seconds.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Apr 2020 12:25:20 -0400
