## lxc 4.0.2

=== debian/changelog ===
lxc (1:4.0.2-0ubuntu1) focal; urgency=medium

  * New ypstream bugfix release (4.0.2):
    - RISC-V 64bit support
    - Better group handling in lxc-user-nic
    - Seccomp syscall interception fix for newer kernels
    - CGroup v1 limits are now automatically skipped on v2 systems
    - Fix a variety of issues identified by the Coverity Scan service

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Apr 2020 15:52:36 -0400

lxc (1:4.0.1-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream fixes:
    - 0001-Allocate-new-lxcbr0-subnet-at-startup-time.patch
    - 0002-start-ensure-all-file-descriptors-are-closed-during-.patch
    - 0003-syscall_numbers-handle-riscv.patch
    - 0004-lxc_user_nic-simplify-group-retrieval.patch
    - 0005-lxc_user_nic-continue-when-we-failed-to-find-a-group.patch
    - 0006-cgroups-whitespace-fixes.patch
    - 0007-seccomp-newer-kernels-require-the-buffer-to-be-zeroe.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Apr 2020 23:33:44 -0400
