## lxc 4.0.4

=== debian/changelog ===
lxc (1:4.0.4-6) unstable; urgency=medium

  * autopkgtest: switch unpriv test to the new Architecture: field

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 28 Oct 2020 16:59:41 -0300

lxc (1:4.0.4-5) unstable; urgency=medium

  * Team upload.
  * d/tests/unpriv: skip on arm64 as the test (right now) only works on amd64

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 02 Oct 2020 21:34:46 +0200

lxc (1:4.0.4-4) unstable; urgency=medium

  * d/tests/unpriv: Adds dnsmasq-base to the qemu VM filesystem hosting the
    unprivileged containers tested

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 01 Oct 2020 18:54:52 +0200

lxc (1:4.0.4-3) unstable; urgency=medium

  * d/p/0007: patch to avoid compilers complaints regarding short writes in
    the cgroup cgfsng, mitigating security risks of a buffer overrun.
  * d/control: For liblxc1: demote cgroupfs-mount | systemd from Depends to
    Suggests. Closes: #968404

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 25 Sep 2020 14:12:38 +0200

lxc (1:4.0.4-2) unstable; urgency=medium

  * d/p/0005: patch to avoid lxc_stop failure if cgroup unfreeze fails
    Closes: #961584
  * d/lxc.lintian-overrides: Drop postinst-has-useless-call-to-ldconfig which
    is not a valid tag anymore

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 19 Sep 2020 23:18:02 +0200

lxc (1:4.0.4-1) unstable; urgency=medium

  * New upstream release 4.0.4-1
    Closes: #969229, #966998
  * d/p/0003: Remove obsolete configurations from lxc.service.
    Closes: #968169
  * d/liblxc1.symbols: updated
  * d/lxc-test.lintian-overrides updated

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 05 Sep 2020 23:21:40 +0200

lxc (1:4.0.2-1) unstable; urgency=medium

  * Rebuild for unstable

  [ Pierre-Elliott Bécue ]
  * Enable lxc-test-apparmor in autopkgtest (Closes: #958406)
  * Bump debhelper-compat level to 13
  * Add a debian-branch entry in debian/gbp.conf

  [ Antonio Terceiro ]
  * Enable LXC networking by default

  [ Johannes Schauer ]
  * Add autopkgtest testing unprivileged containers

  [ Camaleón ]
  * Add Spanish translation for the Debconf template (Closes: #959080)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 25 May 2020 18:15:10 +0200

lxc (1:4.0.2-1~1) experimental; urgency=medium

  * New upstream release 4.0.2 (Closes: #956014)
    - CGroup2 support (Closes: #944389, #946172, #947335)
    - Infrastructure for system call interception
    - PIDfd support
    - Improved network handling
    - Hardening and refactoring throughout the codebase, fixing very many issues

    + Patches rebased accordingly
  * Bump Standards-Version to 4.5.0
  * Labels liblxc1 and libpam-cgfs as Multi-Arch: same

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 19 Apr 2020 00:31:46 +0200

lxc (1:3.1.0+really3.0.4-3) unstable; urgency=medium

  * Apply upstream patch to fix removal of containers that contain imutable
    files when using the plain directory backend.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Apr 2020 17:20:29 -0300
