=== debian/tests/control ===
Tests: exercise
Depends: busybox-static,
         debootstrap,
         uidmap,
         xz-utils,
         lsb-release,
         file,
         dnsmasq-base,
         rsync,
         gnupg,
         dirmngr,
         iptables,
         @
Restrictions: needs-root allow-stderr isolation-machine

Tests: unpriv
# Test only works on amd64
Architecture: amd64
Depends: mmdebstrap, qemu-system-x86, libguestfs-tools, linux-image-amd64 [amd64], sleepenh, openssh-client, python3, netcat-traditional
Restrictions: allow-stderr needs-root
