## lxc 4.0.5

=== debian/changelog ===
lxc (1:4.0.5-2) unstable; urgency=medium

  * Add upstream patch to fix reboots in autopkgtest under cgroupv2
    (Closes: #978425)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 30 Dec 2020 10:17:51 -0300

lxc (1:4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5
  * Refresh patches; drop patches already applied upstream
  * Add upstream patch to fix container startup on Linux 5.10 (Closes: #977923)
  * liblxc1.symbols: update

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 22 Dec 2020 21:50:20 -0300
