## lxc 4.0.6

=== debian/changelog ===
lxc (1:4.0.6-2+deb11u2) bullseye; urgency=medium

  * Backport fix for CVE-2022-47952

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 19 Feb 2023 22:15:53 +0000

lxc (1:4.0.6-2+deb11u1) bullseye; urgency=medium

  * lxc-download: Switch GPG server.
    The default server used to download gpg keys from has been deprecated,
    and therefore creating containers using the `download` template is now
    broken. This is fixed with an upstream patch by Stéphane Graber that
    points to a valid server. (Closes: #991615)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 13 Jan 2022 16:57:39 -0300

lxc (1:4.0.6-2) unstable; urgency=medium

  * d/contrib/lxc-net: Add a commented dnsmasq reference for the users to be
    able to use this configuration if needed.
  * d/contrib/bin/lxc-unpriv-{start,attach} helper scripts to make
    unprivileged containers easier to start manually
  * d/README.Debian: Added some intel about how to handle properly
    unprivileged containers and systemd user sessions, and potential
    filesystem ACL issues/implications
    (Closes: #989317, 987293)
  * d/p/0007: Makes the containers able to have /proc/sys/net rw
    (Closes: #981980)

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 11 Jun 2021 21:43:41 +0200

lxc (1:4.0.6-1) unstable; urgency=medium

  * New upstream version 4.0.6
  * Refresh patches; drop patches applied upstream
  * Remove unreliable test for unprivileged containers
  * Move lxc-net dependencies from Recommends to Depends
    - Moved from Recommends: to Depends bridge-utils, dnsmasq-base,
      iptables, iproute2
    - Recommends: drop nftables; lxc-net uses iptables only, and nothing in
      lxc even references nftables.
  * Document and add new autopkgtest for unprivileged containers
  * Recommends: add wget, needed by the download template

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 31 Jan 2021 14:29:40 -0300
